Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util.mail
Class MailConstants

    java.lang.Object
      com.novell.nds.dirxml.util.mail.MailConstants

    public abstract class MailConstants

extends Object

Collection of constants used in mail handler package.

Field Summary
`static String` | `ATTR_CHARSET` Optional attribute "charset" found on mail, message, and attachment elements.
`static String` | `ATTR_CID` Name of required attribute on resource element.
`static String` | `ATTR_LANGUAGE` Optional attribute "langage" found on message and attachment elements indicating language of message or attachment.
`static String` | `ATTR_MIME_TYPE` Optional attribute "mime-type" found on message and attachment elements indicating mime-type of message or attachment.
`static String` | `ATTR_NAME` Name of "name" attribute for <item> elements
`static String` | `DEFAULT_STYLESHEET` Default stylesheet to use when none is specified and mime-type is other than text/plain.
`static String` | `DEFAULT_TEXT_STYLESHEET` Default stylesheet to use when none is specified and mime-type is text/plain.
`static String` | `NAME_ENCODING` Name of the replacement data that holds the encoding
`static String` | `PARM_REPLACEMENT_DATA` String used to name parameter to stylesheet when processing a template.
`static String` | `TAG_ATTACHMENT` Name of element that contains parameters for building attachment for email message.
`static String` | `TAG_BCC` Name of element that contains a single recipient's email address.
`static String` | `TAG_CC` Name of element that contains a single recipient's email address.
`static String` | `TAG_FILENAME` Name of optional element found under attachement element.
`static String` | `TAG_FROM` Name of element that contains the address to use for the message sender.
`static String` | `TAG_ITEM` Name of primary element type in replacement data documents.
`static String` | `TAG_MAIL` Name of element that contains email parameters
`static String` | `TAG_MESSAGE` Name of element that contains parameters for building email message.
`static String` | `TAG_REPLACEMENT_DATA` String used for document element in replacement data doc
`static String` | `TAG_REPLY_TO` Name of element that contains the address to use for the message reply-to address.
`static String` | `TAG_RESOURCE` Name of optional element found under message element.
`static String` | `TAG_STYLESHEET` Name of required element found under message element.
`static String` | `TAG_SUBJECT` Name of element that contains the string to use as the message subject line.
`static String` | `TAG_TEMPLATE` Name of optional element found under message element.
`static String` | `TAG_TO` Name of element that contains a single recipient's email address.
`static String` | `TEMPLATE_PATH_PROPERTY` The name of the system property that can be set to set the template directory

Constructor Summary
`MailConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_MAIL

    public static final String TAG_MAIL

  Name of element that contains email parameters

  See Also:
    Constant Field Values

### TAG_TO

    public static final String TAG_TO

  Name of element that contains a single recipient's email address. Addressee will be in "to" section of email.

  See Also:
    Constant Field Values

### TAG_CC

    public static final String TAG_CC

  Name of element that contains a single recipient's email address. Addressee will be in "cc" section of email.

  See Also:
    Constant Field Values

### TAG_BCC

    public static final String TAG_BCC

  Name of element that contains a single recipient's email address. Addressee will be in "bcc" section of email.

  See Also:
    Constant Field Values

### TAG_FROM

    public static final String TAG_FROM

  Name of element that contains the address to use for the message sender.

  See Also:
    Constant Field Values

### TAG_REPLY_TO

    public static final String TAG_REPLY_TO

  Name of element that contains the address to use for the message reply-to address.

  See Also:
    Constant Field Values

### TAG_SUBJECT

    public static final String TAG_SUBJECT

  Name of element that contains the string to use as the message subject line.

  See Also:
    Constant Field Values

### TAG_MESSAGE

    public static final String TAG_MESSAGE

  Name of element that contains parameters for building email message. May be more than one for mime multipart/alternative representation.

  See Also:
    Constant Field Values

### TAG_ATTACHMENT

    public static final String TAG_ATTACHMENT

  Name of element that contains parameters for building attachment for email message. May be zero or more.

  See Also:
    Constant Field Values

### ATTR_MIME_TYPE

    public static final String ATTR_MIME_TYPE

  Optional attribute "mime-type" found on message and attachment elements indicating mime-type of message or attachment. If not specified mime-type will be determined programatically.

  See Also:
    Constant Field Values

### ATTR_CHARSET

    public static final String ATTR_CHARSET

  Optional attribute "charset" found on mail, message, and attachment elements. On the mail element this specifies the charset for the header fields. The value is inherited from mail by message and attachment, but may be overridden on those elements, or may be overridden by the stylesheet used to construct the message and attachment bodies.

  See Also:
    Constant Field Values

### ATTR_LANGUAGE

    public static final String ATTR_LANGUAGE

  Optional attribute "langage" found on message and attachment elements indicating language of message or attachment. If not specified no language information is provided in the message information.

  See Also:
    Constant Field Values

### TAG_STYLESHEET

    public static final String TAG_STYLESHEET

  Name of required element found under message element. Specifies path of stylesheet to use in constructing message body.

  See Also:
    Constant Field Values

### TAG_TEMPLATE

    public static final String TAG_TEMPLATE

  Name of optional element found under message element. Specifies path of template file to use in constructing message body.

  See Also:
    Constant Field Values

### TAG_RESOURCE

    public static final String TAG_RESOURCE

  Name of optional element found under message element. Specifies path of resource file (css stylesheet, image file, etc.) used in message body.

  See Also:
    Constant Field Values

### TAG_FILENAME

    public static final String TAG_FILENAME

  Name of optional element found under attachement element. Specifies name to assign to a created attachment (as opposed to an attachment that already exists)

  See Also:
    Constant Field Values

### ATTR_CID

    public static final String ATTR_CID

  Name of required attribute on resource element. Specified the "Content-ID" value for the resource.

  See Also:
    Constant Field Values

### TAG_REPLACEMENT_DATA

    public static final String TAG_REPLACEMENT_DATA

  String used for document element in replacement data doc

  See Also:
    Constant Field Values

### PARM_REPLACEMENT_DATA

    public static final String PARM_REPLACEMENT_DATA

  String used to name parameter to stylesheet when processing a template.

  See Also:
    Constant Field Values

### TAG_ITEM

    public static final String TAG_ITEM

  Name of primary element type in replacement data documents.

  See Also:
    Constant Field Values

### ATTR_NAME

    public static final String ATTR_NAME

  Name of "name" attribute for <item> elements

  See Also:
    Constant Field Values

### NAME_ENCODING

    public static final String NAME_ENCODING

  Name of the replacement data that holds the encoding

  See Also:
    Constant Field Values

### DEFAULT_STYLESHEET

    public static final String DEFAULT_STYLESHEET

  Default stylesheet to use when none is specified and mime-type is other than text/plain.

  See Also:
    Constant Field Values

### DEFAULT_TEXT_STYLESHEET

    public static final String DEFAULT_TEXT_STYLESHEET

  Default stylesheet to use when none is specified and mime-type is text/plain.

  See Also:
    Constant Field Values

### TEMPLATE_PATH_PROPERTY

    public static final String TEMPLATE_PATH_PROPERTY

  The name of the system property that can be set to set the template directory

  See Also:
    Constant Field Values

Constructor Detail

### MailConstants

    public MailConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD